from django.shortcuts import render
import os.path
from users.models import Balance
from django.conf import settings


def homePage(request):
    iter_var = 0
    all_balance = []
    

    try:
        balObject = Balance.objects.filter(user=request.user.id)
        userBalance = balObject.values("balanceValue")
        userQR = f"Name = {request.user.username}, Date Joined = {request.user.date_joined.date()}, ID = {request.user.id}, Balance = {userBalance[0]['balanceValue']}"
        a = Balance.objects.all()

        for user in a:
            all_balance.append(user.balanceValue)
        print(f"{all_balance}")
        limited_coins = settings.ALL_COINS - sum(all_balance)
        context = {
            "userQR":userQR,
            "fullbalance": limited_coins,
            "currencyTotal": sum(all_balance),
            "userBalance": userBalance[0]["balanceValue"]
        }

                
        return render(request, "home.html", context)
        

    except Exception as e:

        context = {
            "currencyTotal":e
        }
        return render(request, "home.html", context)